# $Revision: 1.52 $, $Date: 2011/10/02 12:19:36 $
Summary:	haproxy - high-performance TCP/HTTP load balancer
Summary(pl.UTF-8):	haproxy - wysoko wydajny load balancer TCP/HTTP
Name:		haproxy
Version:	1.4.18
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://haproxy.1wt.eu/download/1.4/src/%{name}-%{version}.tar.gz
# Source0-md5:	4ac88bb1a76c4b84ed4f6131183bedbe
Source1:	%{name}.init
Source2:	%{name}.cfg
URL:		http://haproxy.1wt.eu/
BuildRequires:	pcre-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Requires:	uname(release) >= 2.6
Provides:	group(haproxy)
Provides:	user(haproxy)
Conflicts:	rpm < 4.4.2-45
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim/vimfiles

%description
HA-Proxy is a TCP/HTTP reverse proxy which is particularly suited for
high availability environments. Indeed, it can:
- route HTTP requests depending on statically assigned cookies;
- spread the load among several servers while assuring server
  persistence through the use of HTTP cookies;
- switch to backup servers in the event a main one fails;
- accept connections to special ports dedicated to service monitoring;
- stop accepting connections without breaking existing ones;
- add/modify/delete HTTP headers both ways;
- block requests matching a particular pattern.

It needs very little resource. Its event-driven architecture allows it
to easily handle thousands of simultaneous connections on hundreds of
instances without risking the system's stability.

%description -l pl.UTF-8
HA-Proxy to odwrotne proxy TCP/HTTP przeznaczone w szczególności dla
środowisk o wysokiej dostępności. W rzeczywistości może:
- przekazywać żądania HTTP w zależności od statycznie przypisanych
  ciasteczek;
- rozdzielać obciążenie między różne serwery zapewniając ciągłość
  łączności z serwerem poprzez użycie ciasteczek HTTP;
- przełączać na serwery zapasowe w przypadku, gdy główny zawiedzie;
- przyjmować połączenia na specjalne porty przeznaczone do
  monitorowania usług;
- zaprzestać przyjmowania połączeń bez zrywania istniejących;
- dodawać/modyfikować/usuwać nagłówki HTTP w obie strony;
- blokować żądania pasujące do określonego wzorca.

Wymaga bardzo niewiele zasobów. Jego sterowana zdarzeniami
architektura pozwala łatwo obsługiwać tysiące jednoczesnych połączeń
do setek instancji bez ryzykowania stabilności systemu.

%package -n vim-syntax-haproxy
Summary:	Vim syntax: haproxy configuration files syntax
Summary(pl.UTF-8):	Opis składni dla Vima: podświetlanie składni dla plików konfiguracyjnych haproxy
Group:		Applications/Editors/Vim
# for _vimdatadir existence
Requires:	vim-rt >= 4:6.3.058-3

%description -n vim-syntax-haproxy
This plugin provides syntax highlighting for haproxy configuration
files.

%description -n vim-syntax-haproxy -l pl.UTF-8
Ta wtyczka dostarcza podświetlanie składni dla plików konfiguracyjnych
haproxy.

%prep
%setup -q

cp -a examples/haproxy.vim .

%build
%{__make} \
	TARGET=linux26 \
	REGEX=pcre \
	CC="%{__cc}" \
	CPU_OPTS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	DEBUG=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/%{name},/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT%{_vimdatadir}/syntax

install haproxy $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/haproxy.cfg
install haproxy.vim $RPM_BUILD_ROOT%{_vimdatadir}/syntax

# Some small cleanups:
rm -f doc/gpl.txt examples/haproxy.vim

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 185 %{name}
%useradd -u 185 -d /usr/share/empty -g %{name} -c "haproxy user" %{name}

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG ROADMAP TODO examples/* doc/* tests
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/haproxy.cfg
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/haproxy

%files -n vim-syntax-haproxy
%defattr(644,root,root,755)
%{_vimdatadir}/syntax/haproxy.vim

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: haproxy.spec,v $
Revision 1.52  2011/10/02 12:19:36  brushek
- up to 1.4.18

Revision 1.51  2011/09/10 21:10:29  brushek
- up to 1.4.17

Revision 1.50  2011/08/07 06:54:40  marti
- up to 1.4.16- up to 1.4.16- up to 1.4.16- up to 1.4.16- up to 1.4.16- up to 1.4.16- up to 1.4.16- up to 1.4.16- up to 1.4.16

Revision 1.49  2011/04/08 11:42:35  brushek
- (emergency) update to 1.4.15

Revision 1.48  2011/04/01 20:47:04  brushek
- upgraded to 1.4.14

Revision 1.47  2011/03/14 19:17:06  brushek
- up to 1.4.13

Revision 1.46  2011/02/13 23:37:21  brushek
- md5

Revision 1.45  2011/02/13 23:31:30  brushek
- upgraded to 1.4.11

Revision 1.44  2010/12/11 19:05:01  gotar
- md5

Revision 1.43  2010/12/11 19:03:39  gotar
- upgraded to 1.4.9

Revision 1.42  2010/07/01 11:19:46  gotar
- upgraded to 1.4.8

Revision 1.41  2010/03/21 14:26:31  gotar
- upgraded to 1.4.2

Revision 1.40  2010/03/14 21:08:10  blues
- 1.4.1

Revision 1.39  2010/03/13 02:50:02  gotar
- upgraded to 1.4.0

Revision 1.38  2009/11/06 10:51:46  gotar
- upgraded to 1.3.22

Revision 1.37  2009/08/21 14:03:23  matik
- upped to 1.3.20

Revision 1.36  2009/05/26 08:19:26  glen
- release 2

Revision 1.35  2009/05/25 19:49:09  blues
- 1.3.18

Revision 1.34  2009/03/29 20:01:14  areq
- 1.3.17

Revision 1.33  2009/03/23 09:44:34  areq
- 1.3.16

Revision 1.32  2009/03/09 12:49:48  areq
- 1.3.15.8

Revision 1.31  2008/08/19 12:56:34  glen
- spelling

Revision 1.30  2008/08/19 12:29:41  paszczus
- updated to 1.3.15.2 [Recommended version]

Revision 1.29  2008-05-29 20:39:08  glen
- release 3

Revision 1.28  2008-05-29 20:34:54  glen
- vimdatadir is in vim-rt package; rel 2

Revision 1.27  2008-04-12 18:03:15  glen
- update to 1.3.14.3

Revision 1.26  2007-12-26 20:11:24  zbyniu
- up to 1.3.14.1

Revision 1.25  2007-12-06 14:11:47  blues
- 1.3.14

Revision 1.24  2007-11-01 15:46:47  arekm
- rel 2; rebuild with fixed pcre

Revision 1.23  2007/09/23 08:35:23  blues
- 1.3.12.2

Revision 1.22  2007/07/17 16:59:42  glen
- conflict with rpm without uname() support

Revision 1.21  2007/07/17 16:53:21  glen
- add some default config
- run as haproxy user
- rel 2

Revision 1.20  2007/07/10 09:18:28  blues
- 1.3.12

Revision 1.19  2007/05/13 12:17:26  blues
- 1.3.10.2 - bugfixes and some new features

Revision 1.18  2007/04/17 18:50:41  blues
- 1.3.9

Revision 1.17  2007/04/17 18:02:02  blues
- vim patch added

Revision 1.16  2007/04/11 22:01:04  blues
- release 2 - really use prce; build for kernel2.6 (epoll needed). It's
  good for Th, I think.

Revision 1.15  2007/04/11 18:01:07  blues
- release 1 - separated vim syntax subpackage, builds, works

Revision 1.14  2007/04/11 17:42:30  blues
- 1.3.8.2 - major bugfix release, NFY

Revision 1.13  2007/03/24 19:23:07  blues
- lets try to use 1.3-branch with content-switching

Revision 1.12  2007/03/24 19:06:09  blues
- 1.2.17

Revision 1.11  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.9  2007/02/05 23:12:55  blues
- 1.2.16 - pass CC, it builds (at least)

Revision 1.8  2006/07/16 11:20:51  glen
- adapter

Revision 1.7  2006/07/16 11:20:22  glen
- 1.2.15, update License, URL, config file still missing

Revision 1.6  2006/07/16 11:17:05  glen
- use %service

Revision 1.5  2005/09/26 02:07:20  zbyniu
- up to 1.1.32

Revision 1.4  2005/05/18 22:00:35  zbyniu
- up to 1.1.31; haproxy binary to _sbindir

Revision 1.3  2003/10/22 11:30:15  qboosh
- use optflags; note: cfg and init still missing

Revision 1.2  2003/10/12 19:02:23  qboosh
- pl

Revision 1.1  2003/09/23 11:01:44  areq
- init PLD spec, NFY (todo config and init)
